Subject: [Ltru] Fw: Protocol Action: 'Augmented BNF for Syntax Specifications: ABNF' to Draft Standard

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 4 Apr 2005 15:31:38 -0700

Hi -

forwarded for your information....
The references in the registry i-d should be changed accordingly.

Randy

----- Original Message ----- 
> From: "The IESG" <[email-masked]>
> To: "IETF-Announce" <[email-masked]>
> Cc: "Internet Architecture Board" <[email-masked]>; "RFC Editor" <[email-masked]>
> Sent: Monday, April 04, 2005 1:35 PM
> Subject: Protocol Action: 'Augmented BNF for Syntax Specifications: ABNF' to Draft Standard
>

> The IESG has approved the following document:
>
> - 'Augmented BNF for Syntax Specifications: ABNF '
>    <draft-crocker-abnf-rfc2234bis-00.txt> as a Draft Standard
>
> This document has been reviewed in the IETF but is not the product of an
> IETF Working Group.
>
> The IESG contact person is Scott Hollenbeck.
>
> Technical Summary
>
> Internet technical specifications often need to define a format
> syntax.  Over the years a modified version of Backus-Naur Form (BNF),
> called Augmented BNF (ABNF), has been popular among many Internet
> specifications.  The current specification documents ABNF.  It
> balances compactness and simplicity, with reasonable representational
> power.  The differences between standard BNF and ABNF involve naming
> rules, repetition, alternatives, order-independence, and value
> ranges.  This specification also supplies additional rule definitions
> and encoding for a core lexical analyzer of the type common to
> several Internet specifications.
>
> This document obsoletes RFC 2234.
>
> Working Group Summary
>
> This document is the work of individual submitters.  It was produced
> to address comments received from the IESG when the IESG was asked
> to elevate RFC 2234 to Draft Standard status.  An IETF last call on
> the request to elevate RFC 2234 was completed in June 2004.
>
> Protocol Quality
>
> Harald Alvestrand, Bill Fenner, and Scott Hollenbeck evaluated this
> specification for the IESG.
>
> RFC Editor Note:
>
> Abstract and Section 1, first sentence:
> OLD:
> "Internet technical specifications often need to define a format"
>                                                           ^^^^^^
>
> NEW:
> "Internet technical specifications often need to define a formal"
> (change "format" to "formal")
>
> Section 1:
> OLD:
> "Changes in the latest version of this Internet Draft:"
>
> NEW:
> "Changes Since RFC 2234:"
>
> Section 3.1:
> OLD:
> NOTE:
>
>   NOTE: This specification for ABNF does not provide for implicit
>   specification of linear white space.
>
> NEW:
>   NOTE: This specification for ABNF does not provide for implicit
>   specification of linear white space.
> (remove frist instance of "NOTE")
>
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf-announce

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

> The references in the registry i-d should be changed

When 2234bis gets an RfC number, it's not yet in the in-queue:
<http://www.rfc-editor.org/queue.html#crocker-abnf-rfc2234bis>

                         Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: "Scott Hollenbeck" <[email-masked]>
Date: Tue, 5 Apr 2005 07:38:07 -0400

> -----Original Message-----
> From: Frank Ellermann [mailto:[email-masked]] 
> Sent: Tuesday, April 05, 2005 6:19 AM
> To: [email-masked]
> Subject: [Ltru] Re: Fw: Protocol Action: 'Augmented BNF for 
> SyntaxSpecifications: ABNF' to Draft Standard
> 
> 
> Randy Presuhn wrote:
> 

It can (and should) be cited in its current form.  It'll become an RFC
before the LTRU documents do.  The RFC Editor can then update the reference
to use the RFC number when it's available.  Here's an example reference to
something that had been an I-D:

[7]   Arends, R., "Resource Records for the DNS Security Extensions",
      Internet-Draft draft-ietf-dnsext-dnssec-records-11, October
      2004.

-Scott-

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 05 Apr 2005 12:19:28 +0200

Bye, Frank